from setuptools import setup, find_packages

# WARNING: egg_info_patch is a temporary patch used to build sdist with
# appropriate revision number. This feature is not supported by setuptools.
# Remove this patch as soon as svn structure changes to not use EXTERNALS
# anymore.
import egg_info_patch

product_path = 'Products/ZMySQLDDA'

version = open('%s/VERSION.txt' % product_path).read().split()[-1]

setup(name='Products.ZMySQLDDA',
      version=version,
      description="ZMySQLDDA Product is the Z MySQL database deferred "\
          "adapter product for the Z Object Publishing Environment. It is "\
          "based on ZMySQLDA and follows the same API and installation "\
          "procedure.",
      long_description=open("%s/README.txt" % product_path).read() + "\n" + \
                       open("%s/CHANGES.txt" %  product_path).read(),
      classifiers=[
        "Framework :: Zope2",
        "Operating System :: OS Independent",
        ],
      keywords='Zope ZMySQLDDA',
      author='NEXEDI SA',
      author_email='info@nexedi.com',
      url='http://svn.erp5.org/erp5/trunk/products/ZMySQLDDA',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['Products'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
          'MySQL-python>=0.9.2',
          'Products.ZMySQLDA'
      ],
      )
